<template>
  <ui-checkbox-group
    label="Do you like custom checkboxes? (custom checkboxes)"
    hints="select one or multiple of the following options"
    :options="options"
    buttons
  >
    <template #default="props">
      <div class="flex flex-row flex-wrap">
        <label
          v-for="option of props.options as CheckboxGroupOption[]"
          :key="option.id.toString()"
          class="mr-8"
        >
          <input
            v-model="model"
            type="checkbox"
            :value="option.id"
            :name="props.nativeName"
          />
          {{ option.label }}
        </label>
      </div>
    </template>
  </ui-checkbox-group>
</template>

<script lang="ts" setup>
import { ref } from 'vue'
import { CheckboxGroupOption } from '@/propInterfaces'

const model = ref([])
const options: CheckboxGroupOption[] = [
  { id: '1', label: 'Yes' },
  { id: '2', label: 'No' },
  { id: '3', label: 'Only every other day' },
]
</script>
